Index: branches/2012/dev_INGV/NEMOGCM/SETTE/README
===================================================================
--- branches/2012/dev_INGV/NEMOGCM/SETTE/README	(revision 3574)
+++ branches/2012/dev_INGV/NEMOGCM/SETTE/README	(revision 3575)
@@ -11,8 +11,10 @@
                COMPILER    : compiler among those available in NEMOGCM/ARCH, needed for makenemo (see below)
                              can also be pass as an argument, e.g. ./sette.sh ifort_osx
-	       BATCH_COMMAND : command for job submission in batch mode
-	       MPI_INTERACT : "yes" if you want to run in interactive mode for MPI run
-	       		      "no" if you want to run in batch mode for MPI run
-			      NOTE : every job using only 1 proc is run in interactive mode
+	       BATCH_COMMAND_PAR : command for job submission in batch mode parallel (MMIÂ)
+	       BATCH_COMMAND_SEQ : command for job submission in batch mode sequential (NB_PROC = 1)
+	       INTERACT_FLAG : "yes" if you want to run in interactive mode 
+	       		       "no" if you want to run in batch mode
+	       MPIRUN_FLAG   : "yes" if you want to run in parallel (MPI)
+			       "no" if you want to run in sequential mode (NB_PROC = 1)
 
                makenemo -m : machine (compilator); see ./makenemo -m help (in NEMOGCM/CONFIG directory)
@@ -33,9 +35,9 @@
 
                prepare_job.sh generates the script to be executed 
-			input: INPUT_FILE_CONFIG_NAME NB_PROCS TEST_NAME MPI_FLAG JOB_FILE_NAME
+			input: INPUT_FILE_CONFIG_NAME NUMBER_PROC TEST_NAME MPIRUN_FLAG JOB_FILE
 
-               fcm_job.sh needs input: TOTAL_NUMBER_OF_PROCS_used JOB_FILE_NAME INTERACT_FLAG MPI_FLAG 
-			(for example if you compile ORCA2_LIM with key_mpp_mpi 
-			and only run short test ===> ./fcm_job input_ORCA2_LIM.cfg 4 SHORT)
+               fcm_job.sh needs input: TOTAL_NUMBER_OF_PROCS_used JOB_FILE_NAME INTERACT_FLAG MPIRUN_FLAG 
+			(for example if you run with 4 procs JOB_FILE batch parallel 
+			and only run short test ===> ./fcm_job 4 SHORT no    yes   )
 
  in param.cfg :
@@ -49,6 +51,6 @@
                is the same of that in input_REF_CONFIG.cfg, if not change one.
 
-               change in "RUN OPA" if [ ${MPI_INTERACT} == "yes" ] mpirun command line (some examples are already written)
-	       NOTE: if MPI_INTERACT="no" it is neede a batch_file (see below to create a new one)
+               change in "RUN OPA" if [ ${INTERACT_FLAG} == "yes" ] mpirun command line (some examples are already written)
+	       NOTE: if INTERACT_FLAG="no" it is needed a batch_file (see below to create a new one)
 
 NOTE:
@@ -77,3 +79,3 @@
 1. see in SETTE/BATCH_TEMPLATE directory existing examples
 2. create you own batch file like: batch-${COMPILER}
-(note: sette.sh will copy it in job_batch_template if you run tests in MPI_INTERACT="no")
+(note: sette.sh will copy it in job_batch_template if you run tests in INTERACT_FLAG="no")
Index: branches/2012/dev_INGV/NEMOGCM/SETTE/fcm_job.sh
===================================================================
--- branches/2012/dev_INGV/NEMOGCM/SETTE/fcm_job.sh	(revision 3574)
+++ branches/2012/dev_INGV/NEMOGCM/SETTE/fcm_job.sh	(revision 3575)
@@ -25,5 +25,5 @@
 # :: lauches the script $JOB_FILE interactive or batch, one task or MPI
 #
-#  $ ./fcm_job.sh NUMBER_OF_PROCS JOB_FILE INTERACT MPI_FLAG
+#  $ ./fcm_job.sh NUMBER_OF_PROCS JOB_FILE INTERACT_FLAG MPIRUN_FLAG
 #
 #
@@ -40,7 +40,10 @@
 # ::
 #
-#  $ ./fcm_job.sh NUMBER_OF_PROCS JOB_FILE INTERACT MPI_FLAG
+#  $ ./fcm_job.sh NUMBER_OF_PROCS JOB_FILE INTERACT_FLAG MPIRUN_FLAG
 #
-#  run a 
+#  run a job with 1 processor SHORT test ( 5 days ) 
+#  using an interactive run without mpirun 
+#
+#  ./fcm_job.sh        1           SHORT        yes          no 
 #
 #
@@ -54,5 +57,5 @@
 # ==========
 #
-# $Id$
+# $Id: $
 #
 #
@@ -63,6 +66,6 @@
 #
 
-usage=" Usage : ./fcm_job.sh  NUMBER_OF_PROCS JOB_FILE INTERACT MPI_FLAG"
-usage=" example : ./fcm_job.sh 8 SHORT no/yes no/yes"
+usage=" Usage : ./fcm_job.sh  NUMBER_OF_PROCS JOB_FILE INTERACT_FLAG MPIRUN_FLAG"
+usage=" example : ./fcm_job.sh       8          SHORT      no/yes       no/yes"
 
 
@@ -83,17 +86,17 @@
 export NB_PROCS=$1
 export JOB_FILE=$2
-export INTERACT=$3
-export MPI_FLAG=$4
+export INTERACT_FLAG=$3
+export MPIRUN_FLAG=$4
 ################################################################
 # RUN OPA
 cd ${EXE_DIR}
-if [ "$INTERACT" == "yes" ]; then
-        eval $JOB_FILE
-else if [ "$INTERACT" == "no" ]; then
-# submit job to batch system 
-        if [ "$NB_PROC" == "1" ]; then
-	   eval ${BATCH_COMMAND_SEQ} $JOB_FILE ; echo  ${BATCH_COMMAND_SEQ} $JOB_FILE
+if [ "${INTERACT_FLAG}" == "yes" ]; then
+	eval ${JOB_FILE}
+else if [ "${INTERACT_FLAG}" == "no" ]; then
+	# submit job to batch system 
+        if [ "${NB_PROC}" == "1" ]; then
+		eval ${BATCH_COMMAND_SEQ} ${JOB_FILE} ; echo  ${BATCH_COMMAND_SEQ} ${JOB_FILE}
         else
-	   eval ${BATCH_COMMAND_PAR} $JOB_FILE ; echo ${BATCH_COMMAND_PAR} $JOB_FILE
+		eval ${BATCH_COMMAND_PAR} ${JOB_FILE} ; echo ${BATCH_COMMAND_PAR} ${JOB_FILE}
         fi
 fi
Index: branches/2012/dev_INGV/NEMOGCM/SETTE/input_ORCA2_LIM.cfg
===================================================================
--- branches/2012/dev_INGV/NEMOGCM/SETTE/input_ORCA2_LIM.cfg	(revision 3574)
+++ branches/2012/dev_INGV/NEMOGCM/SETTE/input_ORCA2_LIM.cfg	(revision 3575)
@@ -1,1 +1,1 @@
-ORCA2_LIM_nemo_v3.3.tar
+ORCA2_LIM_nemo_v3.4.tar
Index: branches/2012/dev_INGV/NEMOGCM/SETTE/input_ORCA2_LIM_PISCES.cfg
===================================================================
--- branches/2012/dev_INGV/NEMOGCM/SETTE/input_ORCA2_LIM_PISCES.cfg	(revision 3574)
+++ branches/2012/dev_INGV/NEMOGCM/SETTE/input_ORCA2_LIM_PISCES.cfg	(revision 3575)
@@ -1,1 +1,1 @@
-ORCA2_LIM_nemo_v3.3.tar
+ORCA2_LIM_PISCES_v3.4.tar
Index: branches/2012/dev_INGV/NEMOGCM/SETTE/prepare_job.sh
===================================================================
--- branches/2012/dev_INGV/NEMOGCM/SETTE/prepare_job.sh	(revision 3574)
+++ branches/2012/dev_INGV/NEMOGCM/SETTE/prepare_job.sh	(revision 3575)
@@ -1,8 +1,13 @@
 #####################################################
-# Author : Italo Epicoco for NEMO
-# Contact : italo.epicoco@unisalento.it
-#
-# Some scripts called by sette.sh 
-# prepare_job.sh   : create the job script for running job 
+# Author : Simona Flavoni for NEMO
+# Contact : sflod@locean-ipsl.upmc.fr
+#
+# ----------------------------------------------------------------------
+# NEMO/SETTE , NEMO Consortium (2010)
+# Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
+# ----------------------------------------------------------------------
+#
+# Some scripts called by sette.sh
+# prepare_job.sh   : creates the job script for running job 
 ######################################################
 #set -vx
@@ -16,7 +21,7 @@
 # ================
 #
-# --------------------------
-# create the job script for NEMO tests 
-# --------------------------
+# -------------------------------------------------
+# script that creates the job script for NEMO tests 
+# -------------------------------------------------
 #
 # SYNOPSIS
Index: branches/2012/dev_INGV/NEMOGCM/SETTE/sette.sh
===================================================================
--- branches/2012/dev_INGV/NEMOGCM/SETTE/sette.sh	(revision 3574)
+++ branches/2012/dev_INGV/NEMOGCM/SETTE/sette.sh	(revision 3575)
@@ -11,5 +11,5 @@
 #
 #############################################################
-#set -x
+set -vx
 set -o posix
 #set -u
@@ -125,5 +125,5 @@
 # ==========
 #
-# $Id$
+# $Id: $
 #
 #   * creation
@@ -139,5 +139,4 @@
 export MPIRUN_FLAG="yes"
 
-
 # Directory to run the tests
 SETTE_DIR=$(cd $(dirname "$0"); pwd)
@@ -167,5 +166,5 @@
     JOB_FILE=${EXE_DIR}/run_job.sh
     NPROC=1
-    \rm $JOB_FILE
+    \rm ${JOB_FILE}
     cd ${EXE_DIR}
     set_namelist namelist cn_exp \"GYRELOB_LONG\"
@@ -177,8 +176,7 @@
     set_namelist namelist_top ln_diatrc .false.
     cd ${SETTE_DIR}
-    cp BATCH_TEMPLATE/batch-${COMPILER} job_batch_template || exit
-    . ./prepare_job.sh input_GYRE.cfg $NPROC ${TEST_NAME} $MPIRUN_FLAG $JOB_FILE
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh $NPROC $JOB_FILE $INTERACT_FLAG $MPIRUN_FLAG
+    . ./prepare_job.sh input_GYRE.cfg $NPROC ${TEST_NAME} no ${JOB_FILE}
+    cd ${SETTE_DIR}
+    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} no
 
     cd ${SETTE_DIR}
@@ -202,8 +200,7 @@
     set_namelist namelist_top cn_trcrst_in \"GYRELOB_LONG_00000060_restart_trc\"
     cd ${SETTE_DIR}
-    cp BATCH_TEMPLATE/batch-${COMPILER} job_batch_template || exit
-    . ./prepare_job.sh input_GYRE.cfg $NPROC ${TEST_NAME} $MPIRUN_FLAG $JOB_FILE
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh $NPROC $JOB_FILE  $INTERACT_FLAG $MPIRUN_FLAG
+    . ./prepare_job.sh input_GYRE.cfg $NPROC ${TEST_NAME} no ${JOB_FILE}
+    cd ${SETTE_DIR}
+    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} no
 fi
 
@@ -235,8 +232,7 @@
     set_namelist namelist jpnij 4
     cd ${SETTE_DIR}
-    cp BATCH_TEMPLATE/batch-${COMPILER} job_batch_template || exit
-    . ./prepare_job.sh input_GYRE.cfg $NPROC ${TEST_NAME} $MPIRUN_FLAG $JOB_FILE
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh $NPROC $JOB_FILE  $INTERACT_FLAG $MPIRUN_FLAG
+    . ./prepare_job.sh input_GYRE.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE}
+    cd ${SETTE_DIR}
+    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
 
     cd ${SETTE_DIR}
@@ -260,8 +256,7 @@
     set_namelist namelist jpnij 4
     cd ${SETTE_DIR}
-    cp BATCH_TEMPLATE/batch-${COMPILER} job_batch_template || exit
-    . ./prepare_job.sh input_GYRE.cfg $NPROC ${TEST_NAME} $MPIRUN_FLAG $JOB_FILE
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh $NPROC $JOB_FILE  $INTERACT_FLAG $MPIRUN_FLAG
+    . ./prepare_job.sh input_GYRE.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE}
+    cd ${SETTE_DIR}
+    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
 fi
 
@@ -296,8 +291,7 @@
     set_namelist namelist_pisces ln_presatm .false.
     cd ${SETTE_DIR}
-    cp BATCH_TEMPLATE/batch-${COMPILER} job_batch_template || exit
-    . ./prepare_job.sh input_ORCA2_LIM_PISCES.cfg $NPROC ${TEST_NAME} $MPIRUN_FLAG $JOB_FILE    
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh $NPROC $JOB_FILE  $INTERACT_FLAG $MPIRUN_FLAG
+    . ./prepare_job.sh input_ORCA2_LIM_PISCES.cfg $NPROC ${TEST_NAME} no ${JOB_FILE}
+    cd ${SETTE_DIR}
+    . ./fcm_job.sh $NPROC  ${JOB_FILE} ${INTERACT_FLAG} no
 #
     export TEST_NAME="SHORT"
@@ -330,8 +324,7 @@
     set_namelist namelist_pisces ln_presatm .false.
     cd ${SETTE_DIR}
-    cp BATCH_TEMPLATE/batch-${COMPILER} job_batch_template || exit
-    . ./prepare_job.sh input_ORCA2_LIM_PISCES.cfg $NPROC ${TEST_NAME} $MPIRUN_FLAG $JOB_FILE
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh $NPROC $JOB_FILE $INTERACT_FLAG $MPIRUN_FLAG 
+    . ./prepare_job.sh input_ORCA2_LIM_PISCES.cfg $NPROC ${TEST_NAME} no ${JOB_FILE}
+    cd ${SETTE_DIR}
+    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} no
 fi
 
@@ -367,8 +360,7 @@
     set_namelist namelist_pisces ln_presatm .false.
     cd ${SETTE_DIR}
-    cp BATCH_TEMPLATE/batch-${COMPILER} job_batch_template || exit
-    . ./prepare_job.sh input_ORCA2_LIM_PISCES.cfg $NPROC ${TEST_NAME} $MPIRUN_FLAG $JOB_FILE
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh $NPROC $JOB_FILE  $INTERACT_FLAG $MPIRUN_FLAG
+    . ./prepare_job.sh input_ORCA2_LIM_PISCES.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE}
+    cd ${SETTE_DIR}
+    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG} 
 
     cd ${SETTE_DIR}
@@ -397,8 +389,7 @@
     set_namelist namelist_pisces ln_presatm .false.
     cd ${SETTE_DIR}
-    cp BATCH_TEMPLATE/batch-${COMPILER} job_batch_template || exit
-    . ./prepare_job.sh input_ORCA2_LIM_PISCES.cfg $NPROC ${TEST_NAME} $MPIRUN_FLAG $JOB_FILE
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh $NPROC $JOB_FILE $INTERACT_FLAG $MPIRUN_FLAG
+    . ./prepare_job.sh input_ORCA2_LIM_PISCES.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE}
+    cd ${SETTE_DIR}
+    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
 fi
 
@@ -432,6 +423,5 @@
     set_namelist namelist_pisces ln_presatm .false.
     cd ${SETTE_DIR}
-   cp BATCH_TEMPLATE/batch-${COMPILER} job_batch_template || exit
-    . ./prepare_job.sh input_ORCA2_OFF_PISCES.cfg $NPROC ${TEST_NAME} $MPIRUN_FLAG $JOB_FILE
+    . ./prepare_job.sh input_ORCA2_OFF_PISCES.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE}
     
     cd ${SETTE_DIR}
@@ -457,8 +447,7 @@
     set_namelist namelist_pisces ln_presatm .false.
     cd ${SETTE_DIR}
-   cp BATCH_TEMPLATE/batch-${COMPILER} job_batch_template || exit
-    . ./prepare_job.sh input_ORCA2_OFF_PISCES.cfg $NPROC ${TEST_NAME} $MPIRUN_FLAG $JOB_FILE
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh $NPROC $JOB_FILE  $INTERACT_FLAG $MPIRUN_FLAG
+    . ./prepare_job.sh input_ORCA2_OFF_PISCES.cfg $NPROC ${TEST_NAME}  ${MPIRUN_FLAG} ${JOB_FILE}
+    cd ${SETTE_DIR}
+    . ./fcm_job.sh $NPROC  ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
 fi
 
@@ -492,8 +481,7 @@
     set_namelist namelist_pisces ln_presatm .false.
     cd ${SETTE_DIR}
-   cp BATCH_TEMPLATE/batch-${COMPILER} job_batch_template || exit
-    . ./prepare_job.sh input_ORCA2_OFF_PISCES.cfg $NPROC ${TEST_NAME} $MPIRUN_FLAG $JOB_FILE
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh $NPROC $JOB_FILE  $INTERACT_FLAG $MPIRUN_FLAG
+    . ./prepare_job.sh input_ORCA2_OFF_PISCES.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE}
+    cd ${SETTE_DIR}
+    . ./fcm_job.sh $NPROC  ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
 
     cd ${SETTE_DIR}
@@ -520,8 +508,7 @@
     set_namelist namelist_pisces ln_presatm .false.
     cd ${SETTE_DIR}
-   cp BATCH_TEMPLATE/batch-${COMPILER} job_batch_template || exit
-    . ./prepare_job.sh input_ORCA2_OFF_PISCES.cfg $NPROC ${TEST_NAME} $MPIRUN_FLAG $JOB_FILE
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh $NPROC $JOB_FILE  $INTERACT_FLAG $MPIRUN_FLAG
+    . ./prepare_job.sh input_ORCA2_OFF_PISCES.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE}
+    cd ${SETTE_DIR}
+    . ./fcm_job.sh $NPROC  ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
 fi
 
@@ -551,8 +538,7 @@
     set_namelist namelist jpnij 32
     cd ${SETTE_DIR}
-   cp BATCH_TEMPLATE/batch-${COMPILER} job_batch_template || exit
-    . ./prepare_job.sh input_AMM12.cfg $NPROC ${TEST_NAME} $MPIRUN_FLAG $JOB_FILE
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh $NPROC $JOB_FILE $INTERACT_FLAG $MPIRUN_FLAG 
+    . ./prepare_job.sh input_AMM12.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE}
+    cd ${SETTE_DIR}
+    . ./fcm_job.sh $NPROC  ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
 
     cd ${SETTE_DIR}
@@ -574,8 +560,7 @@
     set_namelist namelist jpnij 32
     cd ${SETTE_DIR}
-   cp BATCH_TEMPLATE/batch-${COMPILER} job_batch_template || exit
-    . ./prepare_job.sh input_AMM12.cfg $NPROC ${TEST_NAME} $MPIRUN_FLAG $JOB_FILE
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh $NPROC $JOB_FILE $INTERACT_FLAG $MPIRUN_FLAG
+    . ./prepare_job.sh input_AMM12.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE}
+    cd ${SETTE_DIR}
+    . ./fcm_job.sh $NPROC  ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
 fi
 
@@ -605,8 +590,7 @@
     set_namelist namelist jpnij 32
     cd ${SETTE_DIR}
-   cp BATCH_TEMPLATE/batch-${COMPILER} job_batch_template || exit
-    . ./prepare_job.sh input_AMM12.cfg $NPROC ${TEST_NAME} $MPIRUN_FLAG $JOB_FILE
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh $NPROC $JOB_FILE  $INTERACT_FLAG $MPIRUN_FLAG
+    . ./prepare_job.sh input_AMM12.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE}
+    cd ${SETTE_DIR}
+    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
 
     cd ${SETTE_DIR}
@@ -628,8 +612,7 @@
     set_namelist namelist cn_ocerst_in \"../LONG/AMM12_00000006_restart\"
     cd ${SETTE_DIR}
-   cp BATCH_TEMPLATE/batch-${COMPILER} job_batch_template || exit
-    . ./prepare_job.sh input_AMM12.cfg $NPROC ${TEST_NAME} $MPIRUN_FLAG $JOB_FILE
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh $NPROC $JOB_FILE $INTERACT_FLAG $MPIRUN_FLAG 
+    . ./prepare_job.sh input_AMM12.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE}
+    cd ${SETTE_DIR}
+    . ./fcm_job.sh $NPROC  ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
 fi
 
@@ -660,8 +643,7 @@
     set_namelist 1_namelist ln_clobber .true.
     cd ${SETTE_DIR}
-   cp BATCH_TEMPLATE/batch-${COMPILER} job_batch_template || exit
-    . ./prepare_job.sh input_ORCA2_LIM_AGRIF.cfg $NPROC ${TEST_NAME} $MPIRUN_FLAG $JOB_FILE
-    cd ${SETTE_DIR}
-    . ./fcm_job.sh $NPROC $JOB_FILE  $INTERACT_FLAG $MPIRUN_FLAG
+    . ./prepare_job.sh input_ORCA2_LIM_AGRIF.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE}
+    cd ${SETTE_DIR}
+    . ./fcm_job.sh $NPROC  ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
 fi
 
Index: branches/2012/dev_INGV/NEMOGCM/SETTE/sette_beginner.sh
===================================================================
--- branches/2012/dev_INGV/NEMOGCM/SETTE/sette_beginner.sh	(revision 3574)
+++ branches/2012/dev_INGV/NEMOGCM/SETTE/sette_beginner.sh	(revision 3575)
@@ -41,5 +41,6 @@
 export BATCH_COMMAND_PAR="llsubmit"
 export BATCH_COMMAND_SEQ=$BATCH_COMMAND_PAR
-# export MPI_INTERACT="no"
+export INTERACT_FLAG="no"
+export MPIRUN_FLAG="yes"
 
 # Directory to run the tests
@@ -58,7 +59,7 @@
 # small test to start
 # compile GYRE configuration with gfortran_osx compiler run with 1 proc, by default in cpp_GYRE.fcm file : 
-export TEST_NAME="TEST02"
+export TEST_NAME="prova_beginner"
 cd ${SETTE_DIR}
-. ../CONFIG/makenemo -m ${CMP_NAM} -n GYRE_SHORT -r GYRE
+. ../CONFIG/makenemo -m ${CMP_NAM} -n GYRE_SHORT -r GYRE -j 10 add_key "key_mpp_mpi"
 cd ${SETTE_DIR}
 . param.cfg 
@@ -67,4 +68,6 @@
 . prepare_exe_dir.sh
 JOB_FILE=${EXE_DIR}/run_job.sh
+NPROC=4
+\rm $JOB_FILE
 cd ${EXE_DIR}
 # setting namelist parameters
@@ -79,9 +82,6 @@
 
 cd ${SETTE_DIR}
-# . ./prepare_job.sh input_file_config_name NB_PROCS TEST_NAME MPI_FLAG JOB_FILE
-. ./prepare_job.sh input_GYRE.cfg 1 SHORT no $JOB_FILE
+. ./prepare_job.sh input_GYRE.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE}
 # run job, with 1 processor, test named SHORT (= 60 time steps)
-#. ./fcm_job.sh NB_PROCS JOB_FILE INTERACT_FLAG MPI_FLAG
-    cd ${SETTE_DIR}   
-. ./fcm_job.sh 1 $JOB_FILE no no
-
+cd ${SETTE_DIR}   
+. ./fcm_job.sh 4 ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
Index: branches/2012/dev_INGV/NEMOGCM/TOOLS/SECTIONS_DIADCT/src/compute_sections.f90
===================================================================
--- branches/2012/dev_INGV/NEMOGCM/TOOLS/SECTIONS_DIADCT/src/compute_sections.f90	(revision 3574)
+++ branches/2012/dev_INGV/NEMOGCM/TOOLS/SECTIONS_DIADCT/src/compute_sections.f90	(revision 3575)
@@ -370,5 +370,5 @@
         DO WHILE ( (  sec%listPoint(jseg)%I .NE.  endingPoint%I    &
                  .OR. sec%listPoint(jseg)%J .NE. endingPoint%J   ) &
-                 .AND. jseg .LT. nb_inmesh + 1 .AND. sec%listPoint(jseg)%I .GT. 0  )         
+                 .AND. jseg .LT. nb_inmesh + 10 .AND. sec%listPoint(jseg)%I .GT. 0  )         
    
            ! a. find the 4 adjacent points (North, South, East, West)
@@ -429,11 +429,11 @@
            !--------------------
            IF(      SouthPoint%I==endingPoint%I .AND. SouthPoint%J==endingPoint%J )THEN 
-               jseg = jseg+1 ; sec%listPoint(jseg) = SouthPoint
+               sec%direction(jseg)=2 ; jseg = jseg+1 ; sec%listPoint(jseg) = SouthPoint
            ELSE IF( NorthPoint%I==endingPoint%I .AND. NorthPoint%J==endingPoint%J )THEN
-               jseg = jseg+1 ; sec%listPoint(jseg) = NorthPoint
+               sec%direction(jseg)=3 ; jseg = jseg+1 ; sec%listPoint(jseg) = NorthPoint
            ELSE IF(  WestPoint%I==endingPoint%I .AND.  WestPoint%J==endingPoint%J )THEN
-               jseg = jseg+1 ; sec%listPoint(jseg) = WestPoint
+               sec%direction(jseg)=0 ; jseg = jseg+1 ; sec%listPoint(jseg) = WestPoint
            ELSE IF(   EstPoint%I==endingPoint%I .AND.   EstPoint%J==endingPoint%J )THEN
-               jseg = jseg+1 ; sec%listPoint(jseg) = EstPoint
+               sec%direction(jseg)=1 ; jseg = jseg+1 ; sec%listPoint(jseg) = EstPoint
 
            ELSE
